#include <stdio.h>
#include <dlfcn.h>

void print(void);

int main(int arg, char **argv)
{
  void *handle = dlopen("./system.so", RTLD_GLOBAL | RTLD_NOW);
  char *err = dlerror();
  if (err) {
    fprintf(stderr, "cannot open ./system.so (%s)\n", err);
    return 1;
  }
  void (*system)(void) = dlsym(handle, "system");
  system();
  print();
  return 0;
}

void print(void)
{
  printf("hello from hivesim\n");
}
